library douban.fm.models;

enum PlayType { bye, end, next, playing, skip, rate, unrate }

final Map<PlayType, String> playTypeMap = {
  PlayType.bye: 'b',
  PlayType.end: 'e',
  PlayType.next: 'n',
  PlayType.playing: 'p',
  PlayType.skip: 's',
  PlayType.rate: 'r',
  PlayType.unrate: 'u'
};

class User {
  User(
      {this.email,
      this.userName,
      this.password,
      this.userId,
      this.token,
      this.expire});

  String email;
  String password;
  String userName;
  String userId;
  String token;
  int expire;
}

class Channel {
  Channel.fromJson(json) {
    name = json['name'];
    seqId = json['seq_id'].toString();
    abbr = json['abbr_en'];
    nameInEnglish = json['name_en'];
    channelId = json['channel_id'].toString();
  }

  String name;
  String seqId;
  String abbr;
  String nameInEnglish;
  String channelId;
}

class Song {
  Song.fromJson(json) {
    album = json['album'];
    picture = json['picture'];
    ssid = json['ssid'].toString();
    artist = json['artist'];
    url = json['url'];
    company = json['company'];
    title = json['title'];
    // ratingAvg = double.parse(json['rating_avg'].toString());
    length = int.parse(json['length'].toString());
    subtype = json['subtype'];
    publicTime = json['public_time'];
    songId = json['sid'].toString();
    albumId = json['aid'].toString();
    sha256 = json['sha256'];
    kbps = json['kbps'];
    albumTitle = json['albumtitle'];
    like = (int.parse(json['like'].toString()) == 1) ? true : false;
  }

  String album;
  String picture;
  String ssid;
  String artist;
  String url;
  String company;
  String title;
  // double ratingAvg;
  int length;
  String subtype;
  String publicTime;
  String songId;
  String albumId;
  String kbps;
  String albumTitle;
  bool like;
  String sha256;
}

class Lyrics {
  Lyrics.fromJson(json) {
    lyric = json['lyric'];
    name = json['name'];
    songId = json['sid'].toString();
  }

  String lyric;
  String name;
  String songId;
}
